Package com.sas.services.information.publicobject

# Class ResponsibilityDetails

java.lang.Object
com.sas.services.information.publicobject.ResponsibilityDetails

All Implemented Interfaces:
  `Serializable`

public class ResponsibilityDetails extends Object implements Serializable
A simple wrapper class used for providing details of a responsible party object in metadata.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResponsibilityDetails(String userName, String role)`
  `ResponsibilityDetails(String name, String userName, String role)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `getName()`
  Returns the name of the responsibility.
  `final String`
  `getRole()`
  Returns the responsibility's role.
  `final String`
  `getUserName()`
  Returns the display name of the identity.
  `final void`
  `setName(String name)`
  Sets the identity's name (not display name).
  `final void`
  `setPerson(String userName)`
  Deprecated.
  use `setUserName(String)` or `setName(String)`
  `final void`
  `setRole(String role)`
  Sets the role associated to the responsibility
  `final void`
  `setUserName(String userName)`
  Sets the display name of the user
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ResponsibilityDetails

    public ResponsibilityDetails(String userName, String role)

  - ### ResponsibilityDetails

    public ResponsibilityDetails(String name, String userName, String role)

- ## Method Details

  - ### getName

    public final String getName()
    Returns the name of the responsibility. The name will also correspond to the name of the associated identity.
    Returns:

  - ### getUserName

    public final String getUserName()
    Returns the display name of the identity. This should be used for display purposes only, and if the actual name of the identity is needed instead, `getName()` should be used instead.

    If the associated identity does not contain a display name, the name will be returned instead. This method is equivalent to `IdentityInterface.getEffectiveDisplayName()`.

    Returns:
      the identity or user's display name

  - ### getRole

    public final String getRole()
    Returns the responsibility's role.
    Returns:
      the role

  - ### setRole

    public final void setRole(String role)
    Sets the role associated to the responsibility
    Parameters:
      `role` -

  - ### setUserName

    public final void setUserName(String userName)
    Sets the display name of the user
    Parameters:
      `userName` - the user's display name

  - ### setName

    public final void setName(String name)
    Sets the identity's name (not display name).
    Parameters:
      `name` -

  - ### setPerson

    public final void setPerson(String userName)
    Deprecated.
    use `setUserName(String)` or `setName(String)`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`